Win32: Audacious GTK UI is very laggy

March 08, 2014 01:33 - Q. P.

Status: Closed Start date: March 08, 2014

Priority: Minor Due date:  

Assignee:  % Done: 100%

Category: plugins/gtkui Estimated time: 0.00 hour

Target version: 3.6   

Affects version:    

Description

Hello,

the GTK UI of audacious-3.4.3a-win32 and audacious-3.5-alpha1-win32 is very laggy when resizing the Audacious window or

resizing a docked plugin for example.

Also, scrolling through a playlist is very laggy and even looks a bit like as if it would be tearing.

Tested on Win8.1 x64.

Could you please do something about that?

It would be much appreciated.

Regards

History

#1 - March 08, 2014 22:13 - John Lindgren

It seems usable enough to me on Win7 (real hardware) and WinXP (virtual machine).  I don't have a copy of Windows 8 or 8.1 to test with.  But it is

likely a problem in GTK+ (the widget toolkit) or Cairo (the graphics library) rather than in Audacious proper.  Unfortunately, neither of those libraries

has very good Win32 support.  Often I have to add patches to them or ship out-of-date versions with Audacious to get them to work at all.

#2 - March 08, 2014 22:32 - Q. P.

"John Lindgren wrote:

[...]

I don't have a copy of Windows 8 or 8.1 to test with.

[...]"

See:

http://technet.microsoft.com/en-us/evalcenter/hh699156.aspx

;)

"John Lindgren wrote:

[...]

Often I have to add patches to them or ship out-of-date versions with Audacious to get them to work at all.

[...]"

Which GTK+ 3 version are you using in audacious-3.4.3a-win32 and audacious-3.5-alpha1-win32?

Not long ago, GTK+ 3 wasn't even avaible for Windows on gtk.org.

But now it is available, see:
http://technet.microsoft.com/en-us/evalcenter/hh699156.aspx


http://www.gtk.org/download/win32.php

It says "GTK+ 3.6.4 is the current maintained version.".

And on the following page:

http://www.gtk.org/download/win32_tutorial.php

it says:

"GTK+3 is known to work on Windows XP, Vista, 7 and 8 at this date."

So maybe try the GTK+ 3 version from over there (in case you aren't doing it already)?

Regards

#3 - March 09, 2014 03:26 - John Lindgren

3.4.3 and 3.5-alpha1 include a patched version of GTK+ 3.8.4, which I build from source.  I am well aware that gtk.org was not publishing builds until

recently.  It would have been pointless until about 3.4.x anyway, since 3.0.x and 3.2.x were essentially garbage on Win32.  More recently, the

developers have solved all the Win32 bugs in 3.10.x by making sure that no one can even build it on Win32 [1].  Perhaps you begin to understand my

frustration ...

Using the pre-built GTK+ 3.6.x would be unacceptable for at least a couple of different reasons:

1. All recent GTK+ versions (since 3.0) require patching [2] to enable ClearType.  Without ClearType, fonts look like Windows 95.

2. 3.8 merged in a series of GtkTreeView patches [3] that are needed for playlist columns to resize correctly.

Thanks for the link to the Windows trial version.  However, I'm unlikely to have the time or the desire to debug a GTK+ performance issue on Win32 in

the near future, especially if it involves installing a new copy of Windows.

[1] https://bugzilla.gnome.org/show_bug.cgi?id=700445

[2] https://github.com/audacious-media-player/audacious/blob/master/contrib/win32/patches/gtksettings.c.diff

[3] https://bugzilla.gnome.org/show_bug.cgi?id=691751

#4 - March 09, 2014 19:27 - Q. P.

John Lindgren wrote:

Thanks for the link to the Windows trial version. However, I'm unlikely to have the time or the desire to debug a GTK+ performance issue on

Win32 in the near future, especially if it involves installing a new copy of Windows.
Installing Win8.1 on real hardware is very fast, at least when installing from a USB flash drive:

http://wudt.codeplex.com/ (also works for Win8.1, despite it's name)

It takes just a few minutes, at least AFAIK.

Don't know about installing it on a virtual machine though.

John Lindgren wrote:

Perhaps you begin to understand my frustration ...

 

Please see:

http://redmine.audacious-media-player.org/boards/1/topics/1100

Regards

#5 - December 06, 2014 03:10 - John Lindgren

- Category set to plugins/gtkui

- Status changed from New to Closed

- Target version set to 3.6

- % Done changed from 0 to 100

Audacious 3.6 is switching back to GTK2 for the Windows version.  If the lag was caused by GTK3, then this should fix this problem.  Otherwise it will

probably have to wait for the Qt interface to become the default, which will happen in time.
